%define name xoscope
%define ver 1.8
%define rel 3mdk

Summary: A digital oscilloscope program for your sound card.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Sciences/Physics
BuildRequires: esound-devel svgalib-devel gtk+-devel
Source0: oscope-%{version}.tar.bz2
Source1: xoscope16.xpm
Source2: xoscope32.xpm
Source3: xoscope48.xpm
Patch:   %{name}-1.8-null_stdio_h.patch.bz2
Buildroot: %{_tmppath}/%{name}-buildroot 
Exclusivearch: %{ix86}

%description

x*oscope is a digital oscilloscope that uses a sound card and/or Radio Shack
ProbeScope (Cat. No. 22-310) as the signal input.  Either or both devices may
be used simultaneously. Includes memory functions, and many of the other
features you expect of a digital oscope.

Includes svga and GTK+ versions. An athena version can also be built, but
is not included in this package.

%prep 
rm -rf $RPM_BUILD_ROOT

printenv
%setup -n xoscope-%{version}
%patch -p1

%build
#perl -pi -e "s,-m486 -O3,$RPM_OPT_FLAGS," Makefile
%configure

%make 

%install
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_libdir}/oscope,%{_mandir}/man1,%{_menudir}}

for i in oscope xoscope; do
	install -m 755 $i $RPM_BUILD_ROOT/%{_bindir}
done

	install -m 755 offt operl xy $RPM_BUILD_ROOT/%{_libdir}/oscope
	install -m 644 ofreq.ini $RPM_BUILD_ROOT/%{_libdir}/oscope

for i in oscope.1 xoscope.1; do
	install -m 644 $i $RPM_BUILD_ROOT/%{_mandir}/man1
done

# Menu entry
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(xoscope): title="Xoscope" command="xoscope" icon="xoscope.xpm" needs="x11" longtitle="Digital Oscilloscope" section="Applications/Sciences/Physics"
EOF

# mdk icons (deush aka iconsux)
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/xoscope.xpm
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/xoscope.xpm
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/xoscope.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,755)
%doc README README.f51 ChangeLog COPYING TODO HARDWARE
%doc buff.fig buff.ps buff2.fig buff2.ps audio.dat proscope.dat oscope.dat
%{_mandir}/man1/*
%{_libdir}/oscope
%{_bindir}/*
%{_menudir}/xoscope
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 1.8-3mdk
- BuildRequires:	gtk+-devel
- Removed BuildRequires: audiofile-devel
- Removed BuildRequires: XFree86-devel

* Fri May 25 2001  Daouda Lo <daouda@mandrakesoft.com> 1.8-2mdk
- cleanups.

* Fri May 25 2001 Daouda Lo <daouda@mandrakesoft.com> 1.8-1mdk
- release 1.8

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.7-1mdk
- release
- fixed standard owned dir .

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 1.6-6mdk
- force icons to appear.
- more macrozif..
- embedded menu

* Fri Oct 06 2000 Francis Galiegue <fg@mandrakesoft.com> 1.6-5mdk

- Icons from ln

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 1.6-4mdk

- More macros
- Some spec file fixes

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 1.6-3mdk
- rebuilt with _mandir macro

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6-2mdk
- automatically added BuildRequires

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.6-1mdk
- Update to 1.6
- Menu entry

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v1.5
